const system = require("../../../system");
const ServiceBase = require("../../svems.base")
const settings = require("../../../../config/settings")
class ChannelService extends ServiceBase {
  constructor() {
    super();
  }

  async dics(params) {
    var rs = await this.callms("merchant", "channelDics", params || {});
    return rs;
  }

  async page(params) {
    var rs = await this.callms("merchant", "channelPage", params);
    return rs;
  }

  async save(params) {
    var rs = await this.callms("merchant", "channelSave", params);
    return rs;
  }

  async info(params) {
    var rs = await this.callms("merchant", "channelInfo", params);
    return rs;
  }

  async mapByIds(params) {
    var rs = await this.callms("merchant", "channelMapByIds", params);
    return rs;
  }
}
module.exports = ChannelService;